﻿using BeautySaloonDataModels;

namespace BeautySaloonContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int Id { get; set; }
        public DateOnly Date { get; set; } = DateOnly.FromDateTime(DateTime.Now);
        public decimal Sum { get; set; }
        public int ClientId { get; set; }
        public int EmployeeId { get; set; }

        public Dictionary<int, (TimeOnly, IServiceModel, int)> OrderServices
        {
            get;
            set;
        } = new();
    }
}
