﻿using BeautySaloonContracts.BindingModels;
using BeautySaloonContracts.SearchModels;
using BeautySaloonContracts.ViewModels;

namespace BeautySaloonContracts.BusinessLogicsContracts
{
    public interface IEmployeeLogic
    {
        List<EmployeeViewModel>? ReadList(EmployeeSearchModel? model);

        EmployeeViewModel? ReadElement(EmployeeSearchModel model);

        bool Create(EmployeeBindingModel model);

        bool Update(EmployeeBindingModel model);

        bool Delete(EmployeeBindingModel model);
    }
}
