﻿using BeautySaloonContracts.BindingModels;
using BeautySaloonContracts.SearchModels;
using BeautySaloonContracts.ViewModels;

namespace BeautySaloonContracts.BusinessLogicsContracts
{
    public interface IServiceLogic
    {
        List<ServiceViewModel>? ReadList(ServiceSearchModel? model);

        ServiceViewModel? ReadElement(ServiceSearchModel model);

        bool Create(ServiceBindingModel model);

        bool Update(ServiceBindingModel model);

        bool Delete(ServiceBindingModel model);
    }
}
