﻿using BeautySaloonContracts.BindingModels;
using BeautySaloonContracts.SearchModels;
using BeautySaloonContracts.ViewModels;

namespace BeautySaloonContracts.StoragesContracts
{
    public interface IEmployeeStorage
    {
        List<EmployeeViewModel> GetFullList();
        List<EmployeeViewModel> GetFilteredList(EmployeeSearchModel model);
        EmployeeViewModel? GetElement(EmployeeSearchModel model);
        EmployeeViewModel? Insert(EmployeeBindingModel model);
        EmployeeViewModel? Update(EmployeeBindingModel model);
        EmployeeViewModel? Delete(EmployeeBindingModel model);
    }
}
