﻿using BeautySaloonContracts.BindingModels;
using BeautySaloonContracts.SearchModels;
using BeautySaloonContracts.ViewModels;

namespace BeautySaloonContracts.StoragesContracts
{
    public interface IPositionStorage
    {
        List<PositionViewModel> GetFullList();
        List<PositionViewModel> GetFilteredList(PositionSearchModel model);
        PositionViewModel? GetElement(PositionSearchModel model);
        PositionViewModel? Insert(PositionBindingModel model);
        PositionViewModel? Update(PositionBindingModel model);
        PositionViewModel? Delete(PositionBindingModel model);
    }
}
