﻿using BeautySaloonDataModels;
using System.ComponentModel;

namespace BeautySaloonContracts.ViewModels
{
    public class EmployeeViewModel : IEmployeeModel
    {
        public int Id { get; set; }
        public int PositionId { get; set; }
        [DisplayName("Должность")]
        public string PositionName { get; set; } = string.Empty;
        [DisplayName("Имя")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Фамилия")]
        public string Surname { get; set; } = string.Empty;
        [DisplayName("Отчество")]
        public string Patronymic { get; set; } = string.Empty;
        [DisplayName("ФИО")]
        public string FIO { get; set; } = string.Empty;
        [DisplayName("Телефон")]
        public string Phone { get; set; } = string.Empty;
    }
}
