﻿using BeautySaloonContracts.BindingModels;
using BeautySaloonContracts.SearchModels;
using BeautySaloonContracts.ViewModels;

namespace BeautySaloonContracts.BusinessLogicsContracts
{
    public interface IPositionLogic
    {
        List<PositionViewModel>? ReadList(PositionSearchModel? model);

        PositionViewModel? ReadElement(PositionSearchModel model);

        bool Create(PositionBindingModel model);

        bool Update(PositionBindingModel model);

        bool Delete(PositionBindingModel model);
    }
}
